summaryrefslogtreecommitdiffstats
path: root/jjb/daisy4nfv
diff options
context:
space:
mode:
authorwu.zhihui <wu.zhihui1@zte.com.cn>2016-11-21 11:22:10 +0800
committerwu.zhihui <wu.zhihui1@zte.com.cn>2016-11-21 11:22:10 +0800
commitb5b9ed9ac77ff574ad5d970e42dcd71e8bca7a04 (patch)
tree89ef8bcf252158820faa3c6211e28989c4c7c210 /jjb/daisy4nfv
parent956b45c6cda30baea8f8e41b33e8b49a684f12bd (diff)
daisy: modify the download url for ZTE POD
ZTE POD use http://build.opnfv.org/artifacts.opnfv.org/daisy.html to download ISO file. Change-Id: I95e156c966387c349e11a7d882829347da7e757b Signed-off-by: wu.zhihui <wu.zhihui1@zte.com.cn>
Diffstat (limited to 'jjb/daisy4nfv')
-rwxr-xr-xjjb/daisy4nfv/daisy4nfv-download-artifact.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/jjb/daisy4nfv/daisy4nfv-download-artifact.sh b/jjb/daisy4nfv/daisy4nfv-download-artifact.sh
index 7ac76a5eb..90b5fa62f 100755
--- a/jjb/daisy4nfv/daisy4nfv-download-artifact.sh
+++ b/jjb/daisy4nfv/daisy4nfv-download-artifact.sh
@@ -11,26 +11,31 @@
set -o errexit
set -o pipefail
+# use proxy url to replace the nomral URL, for googleusercontent.com will be blocked randomly
+[[ "$NODE_NAME" =~ (zte) ]] && GS_URL=$GS_BASE_PROXY
+
if [[ "$JOB_NAME" =~ "merge" ]]; then
echo "Downloading http://$GS_URL/opnfv-gerrit-$GERRIT_CHANGE_NUMBER.properties"
# get the properties file for the Daisy4nfv BIN built for a merged change
- curl -s -o $WORKSPACE/latest.properties http://$GS_URL/opnfv-gerrit-$GERRIT_CHANGE_NUMBER.properties
+ curl -L -s -o $WORKSPACE/latest.properties http://$GS_URL/opnfv-gerrit-$GERRIT_CHANGE_NUMBER.properties
else
# get the latest.properties file in order to get info regarding latest artifact
echo "Downloading http://$GS_URL/latest.properties"
- curl -s -o $WORKSPACE/latest.properties http://$GS_URL/latest.properties
+ curl -L -s -o $WORKSPACE/latest.properties http://$GS_URL/latest.properties
fi
# check if we got the file
-[[ -f latest.properties ]] || exit 1
+[[ -f $WORKSPACE/latest.properties ]] || exit 1
# source the file so we get artifact metadata
-source latest.properties
+source $WORKSPACE/latest.properties
# echo the info about artifact that is used during the deployment
OPNFV_ARTIFACT=${OPNFV_ARTIFACT_URL/*\/}
echo "Using $OPNFV_ARTIFACT for deployment"
+[[ "$NODE_NAME" =~ (zte) ]] && OPNFV_ARTIFACT_URL=${GS_BASE_PROXY%%/*}/$OPNFV_ARTIFACT_URL
+
# log info to console
echo "Downloading the $INSTALLER_TYPE artifact using URL http://$OPNFV_ARTIFACT_URL"
echo "This could take some time..."